Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03444 Debugger Major Always 2009-09-21 19:24 2012-08-01 17:24
Tester Haze View Status Public Platform MAME (Self-compiled)
Assigned To R. Belmont Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved   Driver
Version 0.134 Fixed in Version 0.145 Build Normal
Summary 03444: Registered ram blocks registered with save state cannot be viewed with debugger
Description This has been broken for quite a long time now.

One of the most useful features of the debugger used to be the ability to view memory not defined in the memory map, which had been allocated and registered to the save state system. The list would appear with all the other viewable regions.

For example, the NeoGeo video ram

neogeo_videoram = auto_alloc_array(machine, UINT16, 0x20000/2);
state_save_register_global_pointer(machine, neogeo_videoram, 0x20000/2);

there is now currently no way to view this ram while the driver is running making debugging significantly more difficult.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
 


-  Notes
User avatar (08074)
Haze (Developer)
2012-01-24 05:43

Seems like this was only working again for a few versions, and has been broken for ages again...

Trying to debug NeoGeo stuff right now, have no way to view the video ram.
User avatar (08099)
Haze (Developer)
2012-01-29 07:28

I'm re-opening this.
User avatar (08835)
Haze (Developer)
2012-08-01 17:24

there is a similar issue with blocks registered within device_start in devices, they don't show up?